#pragma once

#define OF_ADDON_USING_OFXXMLSETTINGS
#define OF_ADDON_USING_OFXVECTORMATH

#include "ofAddons.h"
#include "ofMain.h"

#include "arFakeMarker.h"
#include "coordWarping.h"
#include "baseCardScene.h"

class arPlaneGuiScene : public baseCardScene{

	public:

		arPlaneGuiScene();
		void setupScene();
		void render();		
		void update();
		void exit();
		
		void updatePlane();
		
		void keyPressed( int key );
		void keyReleased( int key );
		
		void mouseMoved( int x, int y );
		void mouseDragged( int x, int y, int button );
		void mousePressed( int x, int y, int button );
		void mouseReleased(int x, int y, int button );	

		ofPoint planePts[4];
		bool recordingPts;
		int whichPt;
		ofxXmlSettings xml;
	
		
};
	
		
